{
  pkgs,
  inputs,
  lib,
  options,
  ...
}:
{
  imports = [ inputs.nixcord.homeModules.nixcord ];
  # imports = [ inputs.nixcord.nixosModules.nixcord ];
  programs.nixcord = {
    enable = true;

    discord = {
      branch = "canary";
      vencord.enable = false;
      equicord.enable = true;
      krisp.enable = true;
    };

    vesktop.enable = true;
    # equibop.enable = true;
    config.plugins = import ./plugin.nix;
  };
  home.packages = with pkgs; [
    discord-gamesdk
  ];

  # home.activation.krispPatch = lib.mkIf (!pkgs.stdenv.isDarwin) (
  #   lib.hm.dag.entryAfter [ "writeBoundary" ] ''
  #     ${krisp-patcher}/bin/krisp-patcher $(${pkgs.findutils}/bin/find $HOME/.config/discord/ -name "discord_krisp.node" -path "*/modules/discord_krisp/*") || true
  #   ''
  # );
}
